Subject: Notification: incoming/791

From: [email-masked]
Date: Mon, 08 Oct 2001 11:24:02 -0500

FVWM Bug Tracking notification

new message incoming/791

Message summary for PR#791
	From: [email-masked]
	Subject: Redraw problems with Netscape
	Date: Mon, 08 Oct 2001 11:24:01 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Mon Oct 08 11:24:02 2001
From: [email-masked]
To: [email-masked]
Subject: Redraw problems with Netscape
Date: Mon, 08 Oct 2001 11:24:01 -0500

Full_Name: Antonio Freixas
Version: 2.4.3
CVS_Date: 
OS: Solaris 8
X_Server: X11R6 (Solaris vendor relase 6410)
Submission from: (NULL) (139.47.5.191)

I upgraded from Fvwm 2.2.2 to 2.4.2 and 2.4.3. Now, when I move any window
over a Netscape window, Netscape redraws the exposed areas with a dark grey

background.

For example,

 1. Bring up Netscape 4.76 (Solaris build).
 2. View a page with a white background.
 3. Bring up any other window. An easy choice is to use Alt-F to bring up
    the Find dialog.
 4. Drag the Find window over the Netscape window.
 5. Chunks of the Netscape window background will appear in dark gray.

I tried turning on BackingStore and SaveUnder and saw no change. Other
windows don't seem to have this problem.

I run in 24-bit color mode.

Relevant(?) .fvwm2rc file entries:

Style *			SloppyFocus
Style *			StickyIcon, MinOverlapPercentPlacement
Style *			NoIcon, NoPPosition, DecorateTransient
Style *			BorderWidth 4, HandleWidth 4
Style *			MWMDecor, MWMFunctions
Style *			ResizeOpaque
Style *			BackingStore
Style *			SaveUnder
Style "Netscape"	MiniIcon netscape.t.pm

I'd like to blame this on Netscape, but the problem didn't appear with
Fvwm 2.2.2. I just tried Fvwm 95 and it also doesn't appear there.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]